Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456307 - whiptail: missing man page and typos in usage message
Summary: whiptail: missing man page and typos in usage message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: newt
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 18:21 UTC by Petr Šplíchal
Modified: 2018-10-20 03:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 08:40:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch for Makefile.in to install man page (deleted)
2009-01-22 21:16 UTC, Jeff Bastian
no flags Details | Diff
patch for newt.spec to include man page in RPM (deleted)
2009-01-22 21:17 UTC, Jeff Bastian
no flags Details | Diff
patch to convert tutorial.sgml to more human-readable PDF and HTML formats (deleted)
2009-01-22 22:06 UTC, Jeff Bastian
no flags Details | Diff
patch to correct whiptail usage (deleted)
2009-01-22 22:48 UTC, Jeff Bastian
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1482 normal SHIPPED_LIVE newt bug fix update 2009-10-07 08:40:26 UTC

Description Petr Šplíchal 2008-07-22 18:21:09 UTC
Description of problem:

The usage message of whiptail command contains several typos (listed bellow) and
the manual page is missing completely.

Version-Release number of selected component (if applicable):
newt-0.52.2-12.el5.x86_64

Usage message typos:

--separate-output <fd> (there is no argument for --separate-output option)
force verical scrollbars (typo)
-defaultno (should be --defaultno)

Comment 1 Jeff Bastian 2009-01-22 21:16:15 UTC
Created attachment 329738 [details]
patch for Makefile.in to install man page

Comment 2 Jeff Bastian 2009-01-22 21:17:31 UTC
Created attachment 329739 [details]
patch for newt.spec to include man page in RPM

Comment 3 Jeff Bastian 2009-01-22 21:19:36 UTC
The patches in comment 1 and comment 2 include the man page in the RPM.  They do NOT correct the typos in the usage message.

Comment 4 Jeff Bastian 2009-01-22 22:06:41 UTC
Created attachment 329743 [details]
patch to convert tutorial.sgml to more human-readable PDF and HTML formats

Comment 5 Jeff Bastian 2009-01-22 22:48:11 UTC
Created attachment 329748 [details]
patch to correct whiptail usage

Comment 7 RHEL Product and Program Management 2009-03-26 17:05:48 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 14 errata-xmlrpc 2009-10-07 08:40:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1482.html


Note You need to log in before you can comment on or make changes to this bug.